Package com.sun.speech.freetts.jsapi

# Class FreeTTSSynthesizerModeDesc

SynthesizerModeDesc
com.sun.speech.freetts.jsapi.FreeTTSSynthesizerModeDesc

public class FreeTTSSynthesizerModeDesc extends SynthesizerModeDesc
Represents a SynthesizerModeDesc for the FreeTTSSynthesizer. A FreeTTSSynthesizerModeDesc adds an audio player to the standard mode items.

## Constructor Summary

Constructors
Constructor
Description
`FreeTTSSynthesizerModeDesc(String engineName, String modeName, Locale locale)`
Creates a fully-specified descriptor.

## Method Summary

Modifier and Type
Method
Description
`Engine`
`createEngine()`
Constructs a FreeTTSSynthesizer with the properties of this mode descriptor.
`javax.speech.synthesis.Voice[]`
`getVoices()`
Returns the valid voices in this synthesizer mode.
`void`
`validate()`
Returns true if this is a valid FreeTTSSynthesizerModeDesc.

## Constructor Details

### FreeTTSSynthesizerModeDesc

public FreeTTSSynthesizerModeDesc(String engineName, String modeName, Locale locale)
Creates a fully-specified descriptor. Any of the features may be `null`.

Parameters:
  `engineName` - the name of the engine
  `modeName` - the name of the mode
  `locale` - the locale associated with this mode

## Method Details

### getVoices

public javax.speech.synthesis.Voice[] getVoices()
Returns the valid voices in this synthesizer mode.

Returns:
  an array of valid voices, if no valid voices, it will return an array of size 0

### validate

public void validate() throws ValidationException
Returns true if this is a valid FreeTTSSynthesizerModeDesc. It is valid if it contains at least one valid Voice. Returns false otherwise.

Throws:
  `ValidationException` - if this FreeTTSSynthesizerModeDesc is invalid

### createEngine

public Engine createEngine() throws IllegalArgumentException, EngineException, SecurityException
Constructs a FreeTTSSynthesizer with the properties of this mode descriptor.

Returns:
  a synthesizer that mathes the mode